Bug 173288 - Update port games/minecraft-server to 1.4.2
Summary: Update port games/minecraft-server to 1.4.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jason E. Hale
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-11-02 08:50 UTC by Martin Kropfinger
Modified: 2012-11-30 03:28 UTC (History)
0 users

See Also:


Attachments
patch.txt (1.02 KB, text/plain)
2012-11-02 08:50 UTC, Martin Kropfinger
no flags Details
minecraft-server.diff (4.58 KB, patch)
2012-11-11 11:31 UTC, Jason E. Hale
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Kropfinger 2012-11-02 08:50:00 UTC
Update of port games/minecraft-server to 1.4.2
Comment 1 Jason E. Hale freebsd_committer 2012-11-02 20:04:40 UTC
Responsible Changed
From-To: freebsd-ports-bugs->jhale

I'll take it.
Comment 2 Jason E. Hale freebsd_committer 2012-11-11 11:31:22 UTC
I've attached a diff of a few changes that I think would be beneficial.

- Trim Makefile header
- PORTREVISION should be removed when PORTVERSION is increased
- Updated MASTER_SITES for icon
- Use DIST_SUBDIR since distfiles aren't versioned
- Convert to new options framework
- Install icon in ${PREFIX}/share/pixmaps
- Clean up whitespace to make Makefile more readable

Please let me know if you approve and I will commit it.
-- 
Jason E. Hale - jhale@
FreeBSD Ports Committer
KDE/FreeBSD Team
Comment 3 Jason E. Hale freebsd_committer 2012-11-30 03:28:13 UTC
State Changed
From-To: open->closed

Committed version 1.4.5.  Thanks!